Package wx :: Package lib :: Package masked :: Module numctrl :: Class NumCtrlAccessorsMixin

[frames | no frames]

## Class NumCtrlAccessorsMixin

Known Subclasses:
  `NumCtrl`

Defines masked.NumCtrl's list of attributes having their own Get/Set functions, ignoring those that make no sense for a numeric control.

Method Summary
| `GetAutoSize(self)`
| `GetDecimalChar(self)`
| `GetDefaultValue(self)`
| `GetDescription(self)`
| `GetEmptyBackgroundColour(self)`
| `GetEmptyInvalid(self)`
| `GetGroupChar(self)`
| `GetInvalidBackgroundColour(self)`
| `GetShiftDecimalChar(self)`
| `GetSignedForegroundColour(self)`
| `GetStopFieldChangeIfInvalid(self)`
| `GetUseFixedWidthFont(self)`
| `GetUseParensForNegatives(self)`
| `GetValidBackgroundColour(self)`
| `GetValidFunc(self)`
| `GetValidRequired(self)`
| `SetAutoSize(self, value)`
| `SetDecimalChar(self, value)`
| `SetDefaultValue(self, value)`
| `SetDescription(self, value)`
| `SetEmptyBackgroundColour(self, value)`
| `SetEmptyInvalid(self, value)`
| `SetGroupChar(self, value)`
| `SetInvalidBackgroundColour(self, value)`
| `SetShiftDecimalChar(self, value)`
| `SetSignedForegroundColour(self, value)`
| `SetStopFieldChangeIfInvalid(self, value)`
| `SetUseFixedWidthFont(self, value)`
| `SetUseParensForNegatives(self, value)`
| `SetValidBackgroundColour(self, value)`
| `SetValidFunc(self, value)`
| `SetValidRequired(self, value)`

Class Variable Summary
`tuple` | `exposed_basectrl_params` = `('decimalChar', 'shiftDecimalC...`
`str` | `param` = `'stopFieldChangeIfInvalid'`
`str` | `propname` = `'StopFieldChangeIfInvalid'`

Class Variable Details

### exposed_basectrl_params

  Type:
    `tuple`
  Value:

        ('decimalChar',
         'shiftDecimalChar',
         'groupChar',
         'useParensForNegatives',
         'defaultValue',
         'description',
         'useFixedWidthFont',
         'autoSize',
        ...

### param

  Type:
    `str`
  Value:

        'stopFieldChangeIfInvalid'

### propname

  Type:
    `str`
  Value:

        'StopFieldChangeIfInvalid'

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:51 2007 | http://epydoc.sf.net